CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel: Kernel::CompareDistance_3 Concept Reference

CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::CompareDistance_3 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableTernaryFunction`

See also
  `Kernel::CompareSquaredDistance_3`
  `CGAL::compare_distance_to_point()`
  `CGAL::compare_squared_distance()`

## Operations
A model of this concept must provide:
Comparison_result | operator() (const Type1 &obj1, const Type2 &obj2, const Type3 &obj3)
| compares the squared distance between `obj1` and `obj2` to the squared distance between `obj1` and `obj3`, for all triples of types `Type1`, `Type2` and `Type3` in the following set of types:
Comparison_result | operator() (const Type1 &obj1, const Type2 &obj2, const Type3 &obj3, const Type4 &obj4)
| compares the squared distance between `obj1` and `obj2` to the squared distance between `obj3` and `obj4`, for all tuples of types `Type1`, `Type2`, `Type3` and `Type4` in the following set of types:

## Member Function Documentation

## ◆ operator()() [1/2]

Comparison_result Kernel::CompareDistance_3::operator() | ( | const Type1 & | obj1,
|  | const Type2 & | obj2,
|  | const Type3 & | obj3
| ) |  |

compares the squared distance between `obj1` and `obj2` to the squared distance between `obj1` and `obj3`, for all triples of types `Type1`, `Type2` and `Type3` in the following set of types:

- `Kernel::Point_3`
- `Kernel::Line_3`
- `Kernel::Ray_3`
- `Kernel::Segment_3`
- `Kernel::Plane_3`

## ◆ operator()() [2/2]

Comparison_result Kernel::CompareDistance_3::operator() | ( | const Type1 & | obj1,
|  | const Type2 & | obj2,
|  | const Type3 & | obj3,
|  | const Type4 & | obj4
| ) |  |

compares the squared distance between `obj1` and `obj2` to the squared distance between `obj3` and `obj4`, for all tuples of types `Type1`, `Type2`, `Type3` and `Type4` in the following set of types:

- `Kernel::Point_3`
- `Kernel::Line_3`
- `Kernel::Ray_3`
- `Kernel::Segment_3`
- `Kernel::Plane_3`